Package com.independentsoft.office.odf.drawing

# Class Measure

java.lang.Object
com.independentsoft.office.odf.drawing.Shape
com.independentsoft.office.odf.drawing.Measure

All Implemented Interfaces:
  `ICellContent`, `IContentElement`, `IIndexContent`, `IParagraphContent`, `ITextContent`

public class Measure extends Shape
Represents a shape that is used to measure distances in drawings.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.drawing.Shape

  `height, id, layer, name, parent, style, textStyle, transform, width, x, y, zIndex`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Measure()`
  Initializes a new instance of the Measure class.
  `Measure​(InternalXMLStreamReader reader)`
  Instantiates a new measure.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(IDrawText drawText)`
  Adds a IDrawText object to the content.
  `void`
  `add​(List list)`
  Adds a List object to the content.
  `void`
  `add​(Paragraph paragraph)`
  Adds a Paragraph object to the content.
  `Measure`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IDrawText>`
  `getContent()`
  Contains a collection of IDrawText objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `List<IEventListener>`
  `getEventListeners()`
  Contains an attachment of an event listener to a drawing shape.
  `List<GluePoint>`
  `getGluePoints()`
  Contains the designated point in the area of a drawing object to which a connector shape can connect.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `ConnectorType`
  `getType()`
  Gets the name of a shape type that is rendering engine dependent.
  `String`
  `getX1()`
  Gets the start position then is the position of the glue point to which the connector is connected.
  `String`
  `getX2()`
  Gets the end position then is the position of the glue point to which the connector is connected.
  `String`
  `getY1()`
  Gets the start position then is the position of the glue point to which the connector is connected.
  `String`
  `getY2()`
  Gets the end position then is the position of the glue point to which the connector is connected.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setType​(ConnectorType type)`
  Sets the name of a shape type that is rendering engine dependent.
  `void`
  `setX1​(String x1)`
  Sets the start position then is the position of the glue point to which the connector is connected.
  `void`
  `setX2​(String x2)`
  Sets the end position then is the position of the glue point to which the connector is connected.
  `void`
  `setY1​(String y1)`
  Sets the start position then is the position of the glue point to which the connector is connected.
  `void`
  `setY2​(String y2)`
  Sets the end position then is the position of the glue point to which the connector is connected.
  `String`
  `toString()`
  Converts the value of the current Measure object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.drawing.Shape

  `getHeight, getID, getLayer, getName, getStyle, getTextStyle, getTransform, getWidth, getX, getY, getZIndex, setHeight, setID, setLayer, setName, setStyle, setTextStyle, setTransform, setWidth, setX, setY, setZIndex`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Measure

    public Measure()
    Initializes a new instance of the Measure class.

  - ### Measure

    public Measure​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new measure.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(List list)
    Adds a List object to the content.
    Parameters:
      `list` - the list

  - ### add

    public void add​(Paragraph paragraph)
    Adds a Paragraph object to the content.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(IDrawText drawText)
    Adds a IDrawText object to the content.
    Parameters:
      `drawText` - the draw text

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Shape`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Shape`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Shape`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Measure clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ICellContent`
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IIndexContent`
    Specified by:
      `clone` in interface `IParagraphContent`
    Specified by:
      `clone` in interface `ITextContent`
    Specified by:
      `clone` in class `Shape`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Measure object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getContent

    public List<IDrawText> getContent()
    Contains a collection of IDrawText objects.
    Returns:
      the content

  - ### getEventListeners

    public List<IEventListener> getEventListeners()
    Contains an attachment of an event listener to a drawing shape.
    Returns:
      the event listeners

  - ### getGluePoints

    public List<GluePoint> getGluePoints()
    Contains the designated point in the area of a drawing object to which a connector shape can connect.
    Returns:
      the glue points

  - ### getType

    public ConnectorType getType()
    Gets the name of a shape type that is rendering engine dependent.
    Returns:
      the type

  - ### setType

    public void setType​(ConnectorType type)
    Sets the name of a shape type that is rendering engine dependent.
    Parameters:
      `type` - the new type

  - ### getX1

    public String getX1()
    Gets the start position then is the position of the glue point to which the connector is connected.
    Returns:
      the x1

  - ### setX1

    public void setX1​(String x1)
    Sets the start position then is the position of the glue point to which the connector is connected.
    Parameters:
      `x1` - the new x1

  - ### getY1

    public String getY1()
    Gets the start position then is the position of the glue point to which the connector is connected.
    Returns:
      the y1

  - ### setY1

    public void setY1​(String y1)
    Sets the start position then is the position of the glue point to which the connector is connected.
    Parameters:
      `y1` - the new y1

  - ### getX2

    public String getX2()
    Gets the end position then is the position of the glue point to which the connector is connected.
    Returns:
      the x2

  - ### setX2

    public void setX2​(String x2)
    Sets the end position then is the position of the glue point to which the connector is connected.
    Parameters:
      `x2` - the new x2

  - ### getY2

    public String getY2()
    Gets the end position then is the position of the glue point to which the connector is connected.
    Returns:
      the y2

  - ### setY2

    public void setY2​(String y2)
    Sets the end position then is the position of the glue point to which the connector is connected.
    Parameters:
      `y2` - the new y2